
QGIS Application - Bug report #13244

Could not find the matplotlib module.
Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21305

Description

I get this error when i install Qgis 2.11 Master via OsGeo4W

Could not find the matplotlib module.

Make sure the matplotlib is installed

Couldn't load plugin statist due to an error when calling its classFactory() method

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis-dev/./python\\qgis\\utils.py", line 219, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "C:/Users/florinb/.qgis2/python/plugins\\statist\\__init__.py", line 75, in classFactory

    raise ImportError("Missing matplotlib Python module")

ImportError: Missing matplotlib Python module

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.11.0-Master Master, 16d7a06

Python path: ['C:/Users/florinb/.qgis2/python/plugins\\\\processing_prepair',

'C:/Users/florinb/.qgis2/python/plugins\\\\processinglwgeomprovider',

'C:/Users/florinb/.qgis2/python/plugins\\\\postgis_geoprocessing', 'C:/OSGEO4~1/apps/qgis-dev/./python',

u'C:/Users/florinb/.qgis2/python', u'C:/Users/florinb/.qgis2/python/plugins', 'C:/OSGEO4~1/apps/qgis-dev/./python/plugins',

'C:\\\\OSGEO4~1\\\\bin\\\\python27.zip', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGEO4~1\\\\bin', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', u'C:/Users/florinb/.qgis2//python',

'C:\\\\Users\\\\florinb\\\\.qgis2\\\\python\\\\plugins\\\\mmqgis/forms']
History

#1 - 2015-08-20 05:28 AM - Jürgen Fischer

- Status changed from Open to Feedback

Did you "Make sure the matplotlib is installed"?  It's in osgeo4w - but not installed by default with qgis-dev, because QGIS itself doesn't need it (but with

qgis-dev-full).

#2 - 2015-10-06 02:56 AM - baditaflorin -

- Status changed from Feedback to Closed

nop, just installed directly
